Bug 170173 - gdb fails under kdbg
gdb fails under kdbg
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jan Kratochvil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-08 00:15 EDT by Ian Laurie
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 20:08:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Laurie 2005-10-08 00:15:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
If you don't compile programs with the -ggdb option, kdbg can run gdb but of course there is no point.  If you use the -ggdb option, when you laod the executable kdbg issues the error message in a popup:

  GDB exited unexpectedly
  Restart the session (e.g. with File|Executable).



Version-Release number of selected component (if applicable):
gdb-6.3.0.0-1.21

How reproducible:
Always

Steps to Reproduce:
1. Compile debugging info into an executable
2. Try loading it into KDbg
3.

Actual Results:  GDB exits.

Expected Results:  GDB should work with GDB style debugging info in the executable.

Additional info:
Comment 1 Ian Laurie 2005-10-08 00:29:08 EDT
The same problem exists on RHEL4.
Comment 2 Christian Iseli 2007-01-22 06:42:51 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.